package com.bonus.common.biz.enums;

import lombok.Getter;

/**
 * @author : 阮世耀
 * @version : 1.0
 * @time  : 2024-11-14  10:17
 * @Description: 维修任务整体状态枚举
 */
@Getter
public enum RepairTaskStatusEnum {

    TASK_STATUS_PROCESSING(0, "维修管理--进行中"),
    TASK_STATUS_COMPLETE(1, "维修管理--已完成"),
    TASK_STATUS_REJECT(2, "维修管理--驳回退料"),
    TASK_STATUS_TO_EXAM(3, "修饰审核--待审核"),
    TASK_STATUS_REVIEW(4, "修饰审核--审核通过"),
    TASK_STATUS_NO_REVIEW(5, "修饰审核--审核不通过"),
    SCRAP_UNDER_REVIEW(6, "报废审核--待审核");

    private final Integer status;
    private final String statusName;

    RepairTaskStatusEnum(Integer status, String statusName) {
        this.status = status;
        this.statusName = statusName;
    }

}
